#
#
# For any modifications to this file, see Kannel User Guide 
# If that does not help, send email to users@kannel.org
#

group = core
admin-port = 13000
admin-password = bar
#status-password = foo
#admin-deny-ip = ""
#admin-allow-ip = ""
#log-file = "/tmp/kannel.log"
log-level = 1
#access-log = "access.log"
#http-proxy-host = "127.0.0.1"
#http-proxy-port = 8080
#http-proxy-exceptions = "127.0.0.1"
#http-proxy-username = "user"
#http-proxy-password = "password"
#ssl-certkey-file = "mycertandprivkeyfile.pem"



# SMSC CONNECTIONS - GLOBAL FIELDS
group = smsc
smsc = at2
modemtype = ericsson_t68
smsc-id = ASL
device = /dev/ttyS0
speed = 19200
validityperiod = 255
keepalive = 10
sim-buffering = true
pin = 2345
dialup-interface = "ppp0"
start-dialup = "/usr/sbin/pppd"
stop-dialup = "/sbin/killproc pppd"
my-number = "07879613732" 

group = modems
id = ericsson_t68
name = "Ericsson T68"
detect-string = "T68"
init-string = "ATQ0E1V1"
keepalive-cmd = "AT+CBC;+CSQ"
broken = true
#message-storage = "ME"
message-storage = "SM"
no-smsc = false
need-sleep = true
#enable-hwhs = "AT+IFC=2,2"
#sendline-sleep = 100


# SMSBOX SETUP

group = smsbox
log-level = 0
mo-recode = 0
sendsms-interface = "eth0"
catenate = 1
accept-x-kannel-headers = 1
#sms-signal-url = "http://127.0.0.1/somewhere/newsms"
sms-directory = "/tmp/mms/sms/"
sms-signal-file = "/tmp/mms/newsms"
http-request-retry = 15
http-queue-delay = 60
#access-log = "access.log"

# WAPBOX SETUP
group = wapbox


group = mms-client
#mms-signal-url = "http://127.0.0.1/somewhere/newsms"
mms-directory = "/tmp/mms/mms/"
mms-signal-file = "/tmp/mms/newmms"
wap-bearer-interface = "eth0"
#wap-bearer-interface = "ppp0"
mms-sc-url = "http://10.0.10.150:8111/vodatest=abc"
#wap-ipaddress = "127.0.0.1"
#wap-port = 8201
